
Redmine - Feature #32976

Display avatar on add watcher dialog

2020-02-10 06:56 - Takenori TAKAKI

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

By changing the user icon to avatar in the Add Watchers dialog, we will be able to intuitively select the users we want to watch the

isue.

After the trunk r19498, we can change the user icon to avatar by applying the following patch.

 disp-avatar-on-watcher-dialog.png 

Associated revisions

Revision 19626 - 2020-03-31 11:30 - Go MAEDA

Display avatar on add watchar dialog (#32976).

Patch by Takenori TAKAKI.

History

#1 - 2020-02-19 09:24 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2020-03-09 14:36 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#3 - 2020-03-17 03:10 - Go MAEDA

- Target version changed from 4.2.0 to Candidate for next major release

I think the patch can be merged into the trunk if tests are added.

#4 - 2020-03-17 07:20 - Takenori TAKAKI

- File disp-avatar-on-watcher-dialog-test.patch added

Thanks for the comment Go MAEDA.

I wrote the tests and post it.

#5 - 2020-03-24 15:15 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#6 - 2020-03-31 11:31 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you.
https://www.redmine.org/projects/redmine/repository/svn/revisions/19498


#7 - 2020-11-14 03:39 - Go MAEDA

- Subject changed from Display avatar on add watchar dialog to Display avatar on add watcher dialog

Files

disp-avatar-on-watcher-dialog.png 191 KB 2020-02-10 Takenori TAKAKI

disp-avatar-on-watcher-dialog.patch 1.34 KB 2020-02-10 Takenori TAKAKI

disp-avatar-on-watcher-dialog-test.patch 2.66 KB 2020-03-17 Takenori TAKAKI
